/*
 * Socket.h
 *
 *  Created on: 18. Mai 2017
 *      Author: PirklbauerMa
 */

#ifndef SOCKET_H_
#define SOCKET_H_

/*!
 *  @brief  Creates socket for Echo
 *
 *  In this function a socket is created, a sample sent to the socket, read and compared
 *
 *  @pre
 */
void EchoTcpClient( IPN IPAddrLocal, IPN IPAddrExt );
void EchoTcpServer( IPN IPAddrLocal, IPN IPAddrExt );


#endif /* SOCKET_H_ */
